System and environment requirements


  • Raspberry Pi 2/3 (the first generation is not supported) with Raspbian system.
  • An IEEE 802.15.4 radio pluged on Pi.
  • A Linux machine.
  • An SD card reader.
  • Internet connection for both Linux machine and Raspberry Pi.
  • Update package list (apt-get update) for installing software on Linux host and Rapsberri Pis.

go to How to setup hardware environment